Execute a command asynchronously
curl --request POST \
--url https://api.onkernel.com/browsers/{id}/process/spawn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"command": "<string>",
"args": [],
"cwd": "<string>",
"env": {},
"as_user": "<string>",
"as_root": false,
"timeout_sec": 123,
"allocate_tty": false,
"rows": 32768,
"cols": 32768
}
'import requests
url = "https://api.onkernel.com/browsers/{id}/process/spawn"
payload = {
"command": "<string>",
"args": [],
"cwd": "<string>",
"env": {},
"as_user": "<string>",
"as_root": False,
"timeout_sec": 123,
"allocate_tty": False,
"rows": 32768,
"cols": 32768
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
command: '<string>',
args: [],
cwd: '<string>',
env: {},
as_user: '<string>',
as_root: false,
timeout_sec: 123,
allocate_tty: false,
rows: 32768,
cols: 32768
})
};
fetch('https://api.onkernel.com/browsers/{id}/process/spawn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pid": 123,
"started_at": "2023-11-07T05:31:56Z"
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Browsers
Execute a command asynchronously
POST
/
browsers
/
{id}
/
process
/
spawn
Execute a command asynchronously
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Browser session ID
Body
application/json
Request to execute a command synchronously.
Executable or shell command to run.
Command arguments.
Working directory (absolute path) to run the command in.
Pattern:
^/.*Environment variables to set for the process.
Show child attributes
Show child attributes
Run the process as this user.
Run the process with root privileges.
Maximum execution time in seconds.
Allocate a pseudo-terminal (PTY) for interactive shells.
Initial terminal rows. Only used when allocate_tty is true.
Required range:
1 <= x <= 65535Initial terminal columns. Only used when allocate_tty is true.
Required range:
1 <= x <= 65535⌘I

